﻿* { -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box; font-family: 'Lato',sans-serif; }

body, html { height: 100%; margin: 0; padding: 0; background-color: #f7f7f7; }

h1, h2, h3, h4, h5, h6 { font-family: 'Lato',sans-serif; margin: 0; padding-bottom: 10px; font-weight: 300; }
h2, h3, h4, h5, h6 { color: #757575; }
h1 { color: #222; }
    h1 i.fa, h2 i.fa, h3 i.fa, h4 i.fa, h5 i.fa, h6 i.fa { color: #00bc00; margin-right: 5px; }
    h1.error i.fa, h2.error i.fa, h3.error i.fa, h4.error i.fa, h5.error i.fa, h6.error i.fa { color: #cc0000; margin-right: 5px; }
h3 { color: #00bc00; }
    h3 i.fa { color: #757575; }


.noText { font-size: 0 !important; }
.centerContent { text-align: center; }
.errorContent { margin-top: 100px; }

#formLogin { margin: 20px 0 0 0; }
    #formLogin .tituloCuadro { color: #fff; background-color: #0089c1; font-size: 20px; border-radius: 8px; }

/*.tituloCuadro background-color: #fafafa; */
.tituloCuadro { width: 100%; background-color: rgba(240, 240, 240, 0.8); font-size: 14px; color: #000; min-height: 36px; line-height: 36px; text-indent: 10px; margin: 0; font-weight: normal; }
    .tituloCuadro a { color: #000; text-decoration: none; display: inline-block; }
        .tituloCuadro a:hover { text-decoration: underline; }
    .tituloCuadro i { margin-right: 10px; background-color: #00bc00; background-image: linear-gradient(#00bc00, #008e00); text-align: center; text-indent: 0; display: inline-block; font-size: 15px; color: #fff; width: 30px; height: 30px; line-height: 30px; -moz-border-radius: 20px; -webkit-border-radius: 20px; border-radius: 20px; }

    .tituloCuadro.botonOcultable:after { content: "\f0d7"; font-family: FontAwesome; color: #888; float: right; margin: 0 10px 0 10px; }
    .tituloCuadro.botonOcultable:hover { cursor: pointer; background-color: rgba(245, 245, 245, 0.9); }
        .tituloCuadro.botonOcultable:hover:after { color: #222; }

.contenidoCuadro { margin-bottom: 20px; background-color: #fff; padding: 20px; border-radius: 8px; }
    .contenidoCuadro.grid { padding: 0; }

.divFormulario { padding: 0 0 20px 0; font-size: 0px; }
.divFormHeader { padding: 0 0 20px 0; font-size: 0px; }
.divLabel, .divFormulario > label, .divFormulario .divLabel > label, .divFormulario #divDatosTutor > label, .divFormulario .columnaForm > label { font-size: 15px; padding: 5px 0 0 0; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box; }
.divCampo { padding: 5px 0 0 0; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box; }
    .divCampo input[type="text"], .divCampo input[type="url"], .divCampo input[type="number"], .divCampo input[type="password"], .divCampo input[type="tel"], .divCampo input[type="email"], .divCampo textarea, .divCampo select { width: 100%; font-size: 15px !important; line-height: 24px !important; padding: 4px 10px !important; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box; border: 1px solid #ddd; background-color: #fafafa; }
        .divCampo input[type="text"]:focus, .divCampo input[type="url"]:focus, .divCampo input[type="number"]:focus, .divCampo input[type="password"]:focus, .divCampo input[type="tel"]:focus, .divCampo input[type="email"]:focus, .divCampo textarea:focus, .divCampo select:focus { border-color: #989898; background-color: #ffffff; outline: none; }
    .divCampo input[type="checkbox"] { margin-top: 15px; }
    .divCampo label { line-height: 41px; font-weight: bold; font-size: 15px; }

    .divCampo textarea { height: 180px; }

.divFormulario .requerido { font-size: 13px !important; }

.botones { box-sizing: border-box; display: block; text-align: right }
    .botones a, .botones button { display: inline-block; font-size: 12px; box-sizing: border-box; color: #626262; font-weight: bold; background-color: #fff; border: 1px solid #e1e1e1; border-radius: 5px; margin-left: 10px; text-decoration: none; padding: 9px; text-align: center; box-shadow: 1px 1px 5px #666; }
        .botones a i, .botones button i { margin-right: 6px }
        .botones a:hover, .botones button:hover { color: darkturquoise; background-color: #e7ffec; cursor: pointer }

/* INICIO VALIDACIONES MVC*/

.validation-summary-errors { color: #b94a48; background-color: #f2dede; font-weight: bold; border-color: rgba(0,0,0,0.1); display: block; padding: 15px; margin-bottom: 20px; border: 1px solid transparent; -moz-border-radius: 4px; -webkit-border-radius: 4px; border-radius: 4px; line-height: 20px; }
    .validation-summary-errors ul { padding: 0; margin: 0; list-style-type: none; }
        .validation-summary-errors ul li { vertical-align: top; }
            .validation-summary-errors ul li:before { content: "\f06a"; font-family: 'Font Awesome 5 Free'; color: #b94a48; float: left; margin: 0 10px 0 10px; }
/* styles for validation helpers */
.field-validation-error { color: #b94a48 !important; font-weight: bold !important; }
.field-validation-valid { display: none; }
input.input-validation-error { border: 1px solid #b94a48 !important; background: #fff3f3 !important; }
input[type="checkbox"].input-validation-error { border: 0 none !important; }

input:focus:invalid, textarea:focus:invalid, input:focus:out-of-range { border-color: #b94a48 !important; background: #fff6f6 !important; }

/* FIN VALIDACIONES MVC */

/* Mensaje emergente */
#divAlert { position: fixed; top: 0; width: 100%; font-size: 14px; color: #fff; z-index: 10001; text-align: left; padding: 25px 25px 25px 70px; background-position: 20px center; background-repeat: no-repeat; text-shadow: 0 0 5px rgba(0,0,0,.2); }
    #divAlert.divMargen { border-radius: 6px; }
    #divAlert.error { background-color: red; background-color: rgba(255,0,0,.8); }
    #divAlert.warn { background-color: #ffd232; background-color: rgba(255,210,50,.95); color: #000; }
    #divAlert.info { background-color: #009bdc; background-color: rgba(0,155,220,.95); }
    #divAlert.success { background-color: #96c800; background-color: rgba(150,200,0,.95); }
i.cerrarAlert { position: fixed; top: 0; right: 0; padding: 20px; font-size: 25px; }
    i.cerrarAlert:hover { cursor: pointer; }
/* FIN Mensaje emergente */

@media only screen and (max-width:779px) {
    .noMovil { display: none !important; }
    .divLabel, .divFormulario > label, .divFormulario .divLabel > label, .divFormulario #divDatosTutor > label, .divFormulario .columnaForm > label { display: block; clear: both; }

    .contenidoCuadro { padding: 10px; }
}

@media only screen and (min-width:780px) {

    .soloMovil { display: none !important; }

    .divFormHeader { padding: 0 0 20px 0; font-size: 0px; }
    .divLabel, .divFormulario > label, .divFormulario .divLabel > label, .divFormulario .columnaForm > label { width: 26%; display: inline-block; text-align: right; padding-right: 10px; vertical-align: top; line-height: 21px; padding-top: 10px; padding-bottom: 10px; }
    .divCampo { width: 74%; display: inline-block; }
        .divCampo.peq { width: 23%; }
    .divLabel.peq, .divFormulario > label.peq, .divFormulario div > label.peq { width: 23%; }

    #divCuerpoLogin { padding: 0; height: 100%; width: 100%; }
    #divFormularioLogin { position: relative; top: 50%; margin: -350px auto; }

    #formLogin { width: 600px; margin: 50px auto 0 auto; }
}
